Page MenuHomePhabricator

QUnit tests are not running on Minerva skin
Closed, ResolvedPublic

Description

Flagged by https://gerrit.wikimedia.org/r/#/c/392890/ pass and T181348. It doesn't look like Minerva's qunit tests are being run.

Looking at config they seem to be buried under check experimental and it's not clear why.

We'd like to run this and make it blocking. There are problems with existing unit tests that we will be forced to fix that we were not aware of.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2017, 7:44 PM

Change 393642 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[integration/config@master] Run QUnit tests on Minerva skin non-experimental

https://gerrit.wikimedia.org/r/393642

Jdlrobson moved this task from Inbox to Blocked on the User-Jdlrobson board.

Change 393642 merged by jenkins-bot:
[integration/config@master] Run QUnit tests on Minerva skin non-experimental

https://gerrit.wikimedia.org/r/393642

hashar assigned this task to Jdlrobson.Nov 29 2017, 9:33 PM
hashar added a subscriber: hashar.

Thanks Jon for taking care of the CI config :]

Jdlrobson triaged this task as High priority.Nov 30 2017, 1:05 AM

Bizarrely the qunit tests were working on experimental but not now...
All Minerva patches seem to result in all unit tests failing.

Any ideas what is going wrong?

Maybe the template introduces other things?

Jdlrobson moved this task from Blocked to Done on the User-Jdlrobson board.Nov 30 2017, 6:25 PM
Jdlrobson closed this task as Resolved.Nov 30 2017, 6:30 PM

This is working.
Looks like the qunit fix didn't get merged into the feature branch so that looks like the problem.
Will open a new ticket if hit any new issues.